Bug 1312927 - Release for EPEL7
Release for EPEL7
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: pyp2rpm (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bohuslav "Slavek" Kabrda
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-29 09:36 EST by clime
Modified: 2017-12-12 06:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 06:02:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description clime 2016-02-29 09:36:45 EST
Hello, could you release this package also for EPEL7? I am one of the COPR guys (https://fedorahosted.org/copr/) and we have just implemented a new build-from-PyPI feature that uses this package on a machine running RHEL7. This would help us because we wouldn't need to maintain the package in a custom COPR repository (see also Bug 1310662).
Comment 1 Kevin Fenzi 2016-03-09 11:00:13 EST
I've reqested the branch, happy to maintain it if you folks don't want to.
Comment 2 clime 2016-03-12 14:08:18 EST
That would be good if you have resources for that. I'll let know Michal Cyprian, who is current pyp2rpm maintainer from RH-BRQ.
Comment 3 Kevin Fenzi 2016-03-16 16:39:30 EDT
ok. The branch is created now.

However, the Fedora package is all python3, which isn't likely to work out well in epel7. I'll see if I can get a python2 version tested and import it. Unless you have a working rpm already?
Comment 4 clime 2016-03-17 07:31:25 EDT
Yeah, https://copr.fedorainfracloud.org/coprs/g/copr/copr/build/167992/

I removed pytest and python-flexmock from build requirements, which effectively disables tests during build. That's because python-flexmock is not present in EPEL7. Otherwise it seems to work well.
Comment 5 clime 2016-03-17 11:14:25 EDT
...Sorry, for that .spec file inside the source package. I didn't expect anyone to care about it.
Comment 6 Kevin Fenzi 2016-03-25 16:32:01 EDT
So, finally got some time to look into this. 

Sadly your spec isn't going to work as copr had 'allow network access' on and it downloaded a few things it needed from pypy. We need at least python-flexmock. I see that was requested in bug 1275305 so I will go ahead and request a branch. 

Once thats done we can do this package. :)
Comment 7 Fedora Update System 2016-04-02 15:09:35 EDT
pyp2rpm-2.0.0-3.el7 python-flexmock-0.10.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4046bd9a65
Comment 8 Fedora Update System 2016-04-03 18:21:11 EDT
pyp2rpm-2.0.0-3.el7, python-flexmock-0.10.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4046bd9a65
Comment 9 Fedora Update System 2016-04-04 17:08:32 EDT
pyp2rpm-2.0.0-4.el7 python-flexmock-0.10.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4046bd9a65
Comment 10 Fedora Update System 2016-04-05 14:50:12 EDT
pyp2rpm-2.0.0-4.el7, python-flexmock-0.10.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-4046bd9a65
Comment 11 clime 2016-04-06 04:40:09 EDT
Thanks, Kevin Fenzi and 'Fedora Update System'.
Comment 12 Fedora Update System 2016-04-22 15:58:51 EDT
pyp2rpm-2.0.0-4.el7, python-flexmock-0.10.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Jan Kurik 2016-07-26 00:06:38 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 14 Orion Poplawski 2017-03-10 11:10:37 EST
$ pyp2rpm dodgy
Traceback (most recent call last):
  File "/usr/bin/pyp2rpm", line 9, in <module>
    load_entry_point('pyp2rpm==2.0.0', 'console_scripts', 'pyp2rpm')()
  File "/usr/lib/python2.7/site-packages/click/core.py", line 716, in __call__
    return self.main(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 696, in main
    rv = self.invoke(ctx)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 889, in invoke
    return ctx.invoke(self.callback, **ctx.params)
  File "/usr/lib/python2.7/site-packages/click/core.py", line 534, in invoke
    return callback(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pyp2rpm/bin.py", line 99, in main
    converted = convertor.convert()
  File "/usr/lib/python2.7/site-packages/pyp2rpm/convertor.py", line 63, in convert
    local_file = self.getter.get()
  File "/usr/lib/python2.7/site-packages/pyp2rpm/convertor.py", line 119, in getter
    self.save_dir)
  File "/usr/lib/python2.7/site-packages/pyp2rpm/package_getters.py", line 38, in __init__
    self.versions = self.client.package_releases(self.name)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1233, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1587, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1273, in request
    return self.single_request(host, handler, request_body, verbose)
  File "/usr/lib64/python2.7/xmlrpclib.py", line 1321, in single_request
    response.msg,
xmlrpclib.ProtocolError: <ProtocolError for pypi.python.org/pypi: 403 Must access using HTTPS instead of HTTP>

pyp2rpm-2.0.0-4.el7.noarch

I think we need an update.
Comment 15 Kevin Fenzi 2017-03-15 11:45:42 EDT
Just to note here some discussion on irc: 

* The new pyp2rpm needs python2-pytest-pyrunner. This is not available in rhel/epel7. The current versions won't be possible either due to some parts of rhel7 being too old (but we could do an older version). 

* There is a python3 stack in epel7, so if pyp2rpm is python3 ready, we could use that. It already has a python3-pytest-pyrunner package available.
Comment 16 Orion Poplawski 2017-03-16 12:02:27 EDT
I managed to build python2-pytest-runner, although I haven't been able to test it to see if it actually works - 
https://koji.fedoraproject.org/koji/taskinfo?taskID=18413806
Comment 17 Orion Poplawski 2017-03-16 12:44:00 EDT
Ah, that build failed - this one worked though - http://koji.fedoraproject.org/koji/buildinfo?buildID=869827
Comment 18 Fedora End Of Life 2017-11-16 14:14:43 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2017-12-12 06:02:07 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.